%define guiver	20040102
%define _requires_exceptions php-cli

Summary:	PPTP-linux GUI configuration tool 
Name:		pptp-php-gtk
Version:	0.%{guiver}
Release: 	%mkrel 5
License:	GPL
Group:		Networking/Other
Source:		http://prdownloads.sourceforge.net/pptpclient/%{name}-%{guiver}.tar.bz2
URL:		http://pptpclient.sourceforge.net/
Requires:	ppp >= 2.4.2 php4-gtk php4-pcntl php4-cli
Buildroot:	%_tmppath/%name-%version-%release-root
Buildarch:	noarch

%description
This is a program for configuration and management of PPTP Client
tunnels on Linux. It is beta test quality, for review by other
developers. It duplicates and extends the functions of the
pptp-command program already in use on the project.

%prep

%setup -q -n %{name}-%{guiver}

%build
# (sb) fix path to php binary
sed -i 's|lib/pptp-php-gtk/php/||' %{name}.php
sed -i 's|usr/bin/php|usr/bin/php4|' %{name}.php
# (sb) move support files to /usr/share
sed -i 's|usr/lib|usr/share|' %{name}.php
sed -i 's|usr/lib|usr/share|' Makefile

# (sb) all the mppe options have changed, again
for i in %{name}.php %{name}.xml;do
sed -i 's|require-mppe|mppe required|g' $i
sed -i 's|nomppe-40|mppe no40|g' $i
sed -i 's|nomppe-128|mppe no128|g' $i
sed -i 's|mppe-stateful|mppe stateless|g' $i
done
sed -i 's|Refuse Stateless Encryption|Allow Stateless Encryption|g' %{name}.xml

%make

%install
rm -fr %buildroot

%makeinstall_std
# (sb) drop the .php extension on the executable
mv %{buildroot}%{_bindir}/%{name}.php %{buildroot}%{_bindir}/%{name}
pushd %{buildroot}%{_bindir}
ln -sf %{name} pptpconfig
popd

%clean
rm -fr %buildroot

%files
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog DEVELOPERS NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/pptpconfig
%{_datadir}/%{name}/*.xpm
%{_datadir}/%{name}/%{name}.xml
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Jul 07 2006 Stew Benedict <sbenedict@mandriva.com> 0.20040102-5mdv2007.0
- rebuild, drop .php on binary, fix source URL

* Tue Jun 14 2005 Stew Benedict <sbenedict@mandriva.com> 0.20040102-4mdk
- pppd options for mppe have changed, again (#16418)

* Mon Jun 13 2005 Stew Benedict <sbenedict@mandriva.com> 0.20040102-3mdk
- requires - use php4-gtk, php4-pcntl, php4-cli (#16410)

* Fri Jun 03 2005 Stew Benedict <sbenedict@mandriva.com> 0.20040102-2mdk
- rebuild

* Wed May 26 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.20040102-1mdk
- First Mandrakelinux packaging

